﻿// ------------------------------------------------------------------------
// Copyright 2021 The Dapr Authors
// Licensed under the Apache License, Version 2.0 (the "License");
// you may not use this file except in compliance with the License.
// You may obtain a copy of the License at
//     http://www.apache.org/licenses/LICENSE-2.0
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.
// ------------------------------------------------------------------------

using System.Threading.Tasks;
using Dapr.Actors;

/// <summary>
/// This actor is being used to test the specific regression found in:
///
/// https://github.com/dapr/dotnet-sdk/issues/762
/// </summary>
namespace Dapr.E2E.Test.Actors.ErrorTesting
{
    public interface IRegression762Actor : IPingActor, IActor
    {
        Task<string> GetState(string id);

        Task SaveState(StateCall call);

        Task RemoveState(string id);
    }
}
